clear all;
close all;

% Transition matrix 
P = [0 1/2 1/2 0 0 0 0 0;
     1/3 0 1/3 0 0 0 0 1/3; 
     1/5 1/5 0 1/5 0 0 1/5 1/5;
     0 0 1/3 0 1/3 1/3 0 0;
     0 0 0 1/2 0 1/2 0 0;
     0 0 0 1/3 1/3 0 1/3 0;
     0 0 1/3 0 0 1/3 0 1/3; 
     0 1/3 1/3 0 0 0 1/3 0]; 

 % Initial distribution
 alpha = [0 1/4 0 1/4 0 1/4 0 1/4];
 
 N = 50000; 
 X = 0;
 
 v = zeros(1,10); 
 
 % Simulating the Markov chain
for i = 1:N
    m = 0;
    X = min(find(rand<cumsum(alpha)));
    for j = 1 : 10
        X =  min(find(rand<cumsum(P(X,:))));
        
        % If we X_j is odd we increase v(j)
        m = mod(X,2);
        v(j) = v(j) + m;
        
    end
end

 v = v / N;
 plot(1:10,v,'*');
 
 
